<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Main.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">demo</a> &gt; <a href="index.source.html" class="el_package">main</a> &gt; <span class="el_source">Main.java</span></div><h1>Main.java</h1><pre class="source lang-java linenums">package main;

import main.util.JavalinApp;

<span class="nc" id="L5">public class Main </span>
{
	public static void main(String[] args) 
	{
<span class="nc" id="L9">        JavalinApp app = new JavalinApp();</span>
        
<span class="nc" id="L11">        app.start(getHerokuAssignedPort());      </span>
<span class="nc" id="L12">    }</span>
	
    private static int getHerokuAssignedPort() 
    {
<span class="nc" id="L16">        String herokuPort = System.getenv(&quot;PORT&quot;);</span>
        
<span class="nc bnc" id="L18" title="All 2 branches missed.">        if (herokuPort != null) {</span>
<span class="nc" id="L19">          return Integer.parseInt(herokuPort);</span>
        }
        
<span class="nc" id="L22">        return 7000;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.7.202105040129</span></div></body></html>